<?xml version="1.0" encoding="UTF-8" ?>

<gs_provision version="1">
<config version="1">

<!-- Configuration template for HT704 firmware version 1.0.5.2  -->

<!--  Advanced Settings.  -->


<!-- Admin password for web interface -->
<!-- String -->
<!-- Admin Password for web interface, MaxLength 32 -->
<P2>{$admin_password}</P2>

<!-- End User Password, MaxLength 32 -->
<P196>{$user_password}</P196>

<!-- Layer 3 QoS (IP Diff-Serv or Precedence value for RTP) -->
<!-- Number: 0 to 63 -->
<!-- Mandatory -->
<P38>48</P38>

<!-- Layer 2 QoS. 802.1Q/VLAN Tag (VLAN classification for RTP) -->
<!-- Number: 0 to 4094 -->
<!-- Mandatory -->
<P51>0</P51>

<!-- Layer 2 QoS. 802.1p priority value (0 - 7) -->
<!-- Number: 0 to 7 -->
<!-- Mandatory -->
<P87>0</P87>

<!-- 802.1p priority value (NATed traffic) -->
<!-- Number: 0 to 7 -->
<!-- Mandatory -->
<P230>0</P230>

<!-- STUN server -->
<!-- Server address -->
<P76></P76>

<!-- Keep-alive interval (in seconds. default 20 seconds) -->
<!-- Number: 10 to 160 -->
<!-- Mandatory -->
<P84>20</P84>

<!-- Use STUN to detect network connectivity. 0 - No, 1 - Yes.  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P474>0</P474>

<!-- Total STUN response misses to restart DHCP (mininum=3 default=3) -->
<!-- Number: 3 to 15 -->
<!-- Mandatory -->
<P475>3</P475>

<!-- Use DNS to detect network connectivity -->
<!-- Number: 0, 1 -->
<!-- 0 - No, 1 - Yes (default is No) -->
<P1564>0</P1564>


<!-- Firmware Upgrade -->
<!-- Firmware Upgrade and Privisioning. 0 - TFTP Upgrade, 1 - HTTP Upgrade, 2 - HTTPS Upgrade. -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P212>2</P212>

<!-- Firmware Server Path -->
<P192>fm.grandstream.com/gs</P192>

<!-- Config Server Path -->
<P237>{$domain_name}{$project_path}/app/provision</P237>

<!-- XML Config File Password -->
<!-- String-->
<P1359></P1359>

<!--  HTTP/HTTPS User Name -->
<!--  String; between ascii values 33 and 126 -->
<P1360>{$http_auth_username}</P1360>

<!--  HTTP/HTTPS Password -->
<!--  String; between ascii values 33 and 126 -->
<P1361>{$http_auth_password}</P1361>

<!-- Firmware File Prefix-->
<!-- String-->
<P232></P232>

<!-- Firmware File Postfix-->
<!-- String-->
<P233></P233>

<!-- Config File Prefix-->
<!-- String-->
<P234></P234>

<!-- Config File Postfix-->
<!-- String-->
<P235></P235>

<!-- Allow DHCP Option 66 to override server. 0 - No, 1 - Yes. Default is Yes.-->
<!-- When set to Yes(1), it will override the configured provision path and method.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P145>1</P145>

<!-- Automatic Upgrade. 0 - No, 1 - Check daily, 2 - Check weekly, 3 - Check every () minutes. Default is No.-->
<!-- Number: 0, 1, 2, 3-->
<!-- Mandatory-->
<P194>0</P194>

<!-- Check for new firmware/config file every () minutes, unit is in minute, minimum 60 minutes, default is 7 days. -->
<!-- Number: 60 to 5256000-->
<!-- Mandatory-->
<P193>10080</P193>

<!-- Automatic Upgrade. Daily at hour(0-23)-->
<!-- Number: 0 to 23-->
<!-- Mandatory-->
<P285>1</P285>

<!-- Automatic Upgrade. Weekly on day (0-6)-->
<!-- Number: 0 to 6-->
<!-- Mandatory-->
<P286>1</P286>

<!-- 0 = Always Check for New Firmware -->
<!-- 1 = Check New Firmware only when F/W pre/suffix changes -->
<!-- 2 = Always Skip the Firmware Check-->
<!-- Number: 0, 1, 2-->
<!-- Mandatory-->
<P238>0</P238>

<!-- Firmware Key (AES 128, in Hexadecimal Representation)-->
<!-- String: 0-9, a-z, A-Z-->
<P242></P242>

<!-- SSL Certificate -->
<!-- String-->
<!--P280= -->

<!-- SSL Private Key-->
<!-- String-->
<!--P279= -->

<!-- SSL Private Key Password-->
<!-- String-->
<!--P281= -->

<!-- ACS URL-->
<!--P4503= -->

<!-- ACS Username-->
<!-- String-->
<P4504></P4504>

<!-- ACS Password-->
<!-- String-->
<P4505></P4505>

<!-- Periodic Inform Enable 0 - No, 1 - Yes (default is No)-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4506>0</P4506>

<!-- Periodic Inform Interval (default is 300)-->
<!-- Number: 1-99999-->
<P4507>300</P4507>

<!-- Connection Request Username-->
<!-- String-->
<P4511></P4511>

<!-- Connection Request Password-->
<!-- String-->
<P4512></P4512>

<!-- CPE SSL Certificate-->
<P8220></P8220>

<!-- CPE SSL Private Key-->
<P8221></P8221>

<!-- System Ring Cadence-->
<!-- String-->
<P4040>c=2000/4000;</P4040>


<!-- Call Progress Tones  -->

<!-- Dial Tone-->
<!-- String-->
<P4000>f1=350@-13,f2=440@-13,c=0/0;</P4000>

<!-- Ringback Tone-->
<!-- String-->
<P4001>f1=440@-19,f2=480@-19,c=2000/4000;</P4001>

<!-- Busy Tone-->
<!-- String-->
<P4002>f1=480@-24,f2=620@-24,c=500/500;</P4002>

<!-- Reorder Tone-->
<!-- String-->
<P4003>f1=480@-24,f2=620@-24,c=250/250;</P4003>

<!-- Confirmation Tone -->
<!-- String-->
<P4004>f1=350@-11,f2=440@-11,c=100/100-100/100-100/100;</P4004>

<!-- Call Waiting tone-->
<!-- String-->
<P4005>f1=440@-13,c=300/300-300/10000;</P4005>


<!-- Lock keypad update.  0 - No, 1 - Yes, 2( invisible on web GUI, set to 2 for Reset button - ISP Data reset allowed only).  (configuration update via keypad is disabled if set to Yes).-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P88>0</P88>

<!-- Disable voice prompt. 0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P253>0</P253>

<!-- Disable Direct IP Call. 0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P277>0</P277>

<!-- Failover to FXO Gateway. 0 - Disable, 1 - Enable-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4205>0</P4205>

<!-- FXO Gateway. URI or IP address.-->
<P4206></P4206>

<!-- NTP Server-->
<!-- Server address-->
<P30>us.pool.ntp.org</P30>

<!-- Syslog Server (name of the server, max length is 64 characters)-->
<!-- Server address-->
<P207></P207>

<!-- Syslog Level (Default setting is NONE)-->
<!-- 0 - NONE, 1 - DEBUG, 2 - INFO, 3 - WARNING, 4 - ERROR, 5 - EXTRA DEBUG-->
<!-- Number: 0, 1, 2, 3, 4, 5-->
<!-- Mandatory-->
<P208>0</P208>

<!-- Send SIP Log. 0 - No, 1 - Yes. (If set to yes, The unit will replicate the received and send SIP packets on the syslog)-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P1387>0</P1387>

<!-- Primary RADIUS Server-->
<!-- Server address-->
<!--P4550 -->

<!-- Primary RADIUS Auth Port (default 1812).-->
<!-- Number: 1 to 65535-->
<!-- Mandatory-->
<P4551>1812</P4551>

<!-- Primary RADIUS Acct Port (default 1813).-->
<!-- Number: 1 to 65535-->
<!-- Mandatory-->
<P4552>1813</P4552>

<!-- Primary RADIUS Server Secret-->
<!-- String-->
<P4553></P4553>

<!-- Secondary RADIUS Server-->
<!-- Server address-->
<!--P4554 -->

<!-- Secondary RADIUS Auth Port (default 1812).-->
<!-- String-->
<P4555>1812</P4555>

<!-- Secondary RADIUS Acct Port (default 1813).-->
<!-- Number: 1 to 65535-->
<!-- Mandatory-->
<P4556>1813</P4556>

<!-- Secondary RADIUS Server Secret-->
<!-- String-->
<P4557></P4557>

<!-- RADIUS Timeout (default 2).-->
<!-- Number: 1 to 65535-->
<!-- Mandatory-->
<P4558>2</P4558>

<!-- RADIUS Retry (default 3).-->
<!-- Number: 1 to 65535-->
<!-- Mandatory-->
<P4559>3</P4559>


<!--  Profile 1 Settings      -->

<!-- Account Active. 0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P271>1</P271>

<!-- Primary SIP Server-->
<!-- Server address-->
<P47>{$server_address_1}</P47>

<!-- Failover SIP Server-->
<!-- Server address-->
<P967></P967>

<!-- Prefer Primary SIP Server. 0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4567>0</P4567>

<!-- Outbound Proxy-->
<!-- Server address-->
<P48></P48>

<!-- Allow DHCP Option 120( override SIP server )  0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P1411>0</P1411>

<!-- SIP Transport 0 - UDP, 1 - TCP, 2 - TLS-->
<!-- Number: 0, 1, 2-->
<!-- Mandatory-->
<P130>0</P130>

<!-- NAT Traversal (STUN) 0 - No, 2 - No but send keep-alive, 1 - Yes, 3 - UPnP-->
<!-- Number: 0, 1, 2, 3-->
<!-- Mandatory-->
<P52>0</P52>

<!-- DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV.-->
<!-- Number: 0, 1, 2-->
<!-- Mandatory-->
<P103>0</P103>

<!-- Tel URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled-->
<!-- Number: 0, 1, 2-->
<!-- Mandatory-->
<P63>0</P63>

<!-- SIP Registration. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P31>1</P31>

<!-- Unregister On Reboot. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P81>0</P81>

<!-- Outgoing call without Registration. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P109>1</P109>

<!-- Register Expiration (in minutes. default 1 hour, max 45 days)-->
<!-- Number: 1 to 64800-->
<!-- Mandatory-->
<P32>3</P32>

<!-- Reregister before Expiration (in seconds. Default 0 second)-->
<!-- Number: 1 to 64800-->
<!-- Mandatory-->
<P2330>0</P2330>

<!-- Registration Retry Wait Time, in seconds. Between 1-3600, default is 20-->
<!-- Number: 1 to 3600-->
<!-- Mandatory-->
<P138>20</P138>

<!-- Local SIP port (default 5060)-->
<!-- Number: 1 to 65535-->
<!-- Mandatory-->
<P40>5060</P40>

<!-- Local RTP port (1024-65535, default 5004)-->
<!-- Number: 1024 to 65535-->
<!-- Mandatory-->
<P39>5004</P39>

<!-- Use Random SIP Port. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P20501>0</P20501>

<!-- Use Random RTP Port. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P20501>0</P20501>

<!-- Refer-To Use Target Contact. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P135>0</P135>

<!-- Transfer on Conference Hangup. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4560>0</P4560>

<!-- Enable Ring-Transfer. 0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory -->
<P4820>0</P4820>

<!-- Disable Bellcore Style 3-Way Conference. 0 - No, 1 - Yes.-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4830>0</P4830>

<!-- Remove OBP from Route Header. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4562>0</P4562>

<!-- Support SIP Instance ID. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P288>1</P288>

<!-- Validate Incoming SIP Message . 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4340>0</P4340>

<!-- Check SIP UserID for incoming INVITE. 0 - No, 1 - Yes (no direct IP calling if Yes)-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P258>0</P258>

<!-- Authenticate incoming INVITE-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P2346>0</P2346>

<!-- Allow Incoming SIP Messages from SIP Proxy Only. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P243>0</P243>

<!-- Use Privacy Header. 0 - Default, 1 - No, 2 - Yes-->
<!-- Number: 0, 1, 2-->
<!-- Mandatory-->
<P2338>0</P2338>

<!-- Use P-Preferred-Identity Header. 0 - Default, 1 - No, 2 - Yes-->
<!-- Number: 0, 1, 2-->
<!-- Mandatory-->
<P2339>0</P2339>

<!-- SIP T1 Timeout. RFC 3261 T1 value (RTT estimate)-->
<!-- 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 50.-->
<!-- Number: 50, 100, 200, 400, 800-->
<!-- Mandatory-->
<P209>50</P209>

<!-- SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses.-->
<!-- 200 - 2 sec, 400 - 4 sec, 800 - 8 sec, 1600 - 16 sec, 3200 - 32 sec. Default 400.-->
<!-- Number: 200, 400, 800, 1600, 3200-->
<!-- Mandatory-->
<P250>400</P250>

<!-- DTMF Payload Type-->
<!-- Number: 96 to 127-->
<P79>101</P79>

<!-- Preferred DTMF method. -->
<!-- 100 - In-audio, 101 - RFC2833, 102 - SIP INFO-->
<!-- Priority 1-->
<!-- Number: 100, 101, 102-->
<!-- Mandatory-->
<P850>101</P850>

<!-- Priority 2-->
<!-- Number: 100, 101, 102-->
<!-- Mandatory-->
<P851>102</P851>

<!-- Priority 3-->
<!-- Number: 100, 101, 102-->
<!-- Mandatory-->
<P852>100</P852>

<!-- Disable DTMF Negotiation. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P4825>0</P4825>

<!-- Send Hook Flash Event. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P74>0</P74>

<!-- Enable Call Features. 0 - No, 1 - Yes-->
<!-- Number: 0, 1-->
<!-- Mandatory-->
<P191>0</P191>

<!-- Offhook Auto-Dial Delay (0-60 seconds, default is 0)-->
<!-- Number: 0 to 60-->
<P4045>0</P4045>

<!-- Proxy-Require -->
<!-- IP Address-->
<P197></P197>

<!-- Use NAT IP (used in SIP/SDP message if specified)-->
<!-- IP Address-->
<P101></P101>

<!-- Use SIP User-Agent Header-->
<P4834></P4834>

<!-- Distinctive Ring Tone  -->
<!-- 0 - Ring Tone 1, 1 - Ring Tone 2, 2 - Ring Tone 3, 3 - Ring Tone 4, 4 - Ring Tone 5, -->
<!-- 5 - Ring Tone 6, 6 - Ring Tone 7, 7 - Ring Tone 8, 8 - Ring Tone 9, 9 - Ring Tone 10 -->
<!-- Distinctive Ring Tone Choice 1 -->
<!-- Number: 0 to 9 -->
<P8700>0</P8700>

<!-- Choice 1 incoming caller ID -->
<!-- String -->
<P871></P871>

<!-- Distinctive Ring Tone Choice 2 -->
<!-- Number: 0 to 9 -->
<!-- Mandatory -->
<P872>0</P872>

<!-- Choice 2 incoming caller ID -->
<!-- String -->
<P873></P873>

<!-- Distinctive Ring Tone Choice 3 -->
<!-- Number: 0 to 9 -->
<!-- Mandatory -->
<P874>0</P874>

<!-- Choice 3 incoming caller ID -->
<!-- String -->
<P875></P875>

<!-- Disable Call-Waiting. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P91>0</P91>

<!-- Disable Call-Waiting Caller ID. 0 - No, 1 -  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P714>0</P714>

<!-- Disable Call-Waiting Tone. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P186>0</P186>

<!-- Disable Receiver Offhook Tone. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4793>0</P4793>

<!-- Disable Reminder Ring for On-Hold  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4360>0</P4360>

<!-- Disable Visual MWI. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P855>0</P855>

<!-- Ring Timeout. (10-300, default is 60 seconds) -->
<!-- Number: 10 to 300 -->
<!-- Mandatory -->
<P185>60</P185>

<!-- Hunting Group Ring Timeout. (5-300, default is 20 seconds) -->
<!-- Number: 5 to 300 -->
<!-- Mandatory -->
<P4330>20</P4330>

<!-- Hunting Group Type. 0 - Circular, 1 - Linear -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4395>0</P4395>

<!-- Delayed Call Forward Wait Time. Allowed range 1-120, in seconds. Default 20 seconds. -->
<!-- Number: 1 to 120 -->
<!-- Mandatory -->
<P139>20</P139>

<!-- No Key Entry Timeout. Default - 4 seconds. -->
<!-- Number: 1 to 15 -->
<!-- Mandatory -->
<P85>4</P85>

<!-- Early Dial. 0 - No, 1 - Yes (use "Yes" only if proxy supports 484 response) -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P29>0</P29>

<!-- Dial Plan Prefix.(this prefix string is added to each dialed number) -->
<!-- String -->
<P66></P66>

<!-- Use # as Dial Key. 0 - No, 1 - Yes (if set to Yes, "#" will function as the "(Re-)Dial" key) -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P72>1</P72>

<!-- Dial Plan -->
<!-- String -->
<P4200>{ x+ | *x+ }</P4200>

<!-- SUBSCRIBE for MWI. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P99>0</P99>

<!-- Send Anonymous. 0 - No, 1 - Yes  (caller ID will be blocked if set to Yes) -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P65>0</P65>

<!-- Anonymous Call Rejection. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P129>0</P129>

<!-- Special Feature -->
<!-- STANDARD = 100, BROADSOFT = 102, LUCENT = 105, CBCOM =108, RNK = 109, HUAWEI = 111,  -->
<!-- ZTE_IMS = 114, PHONEPOWER = 119, TELKOM_SA = 120, VONAGE = 121 -->
<!-- Number: 100, 102, 105, 108, 109, 111, 114, 119, 120, 121 -->
<P198>100</P198>

<!-- Session Expiration (in seconds. default 180 seconds. Allowed value: 90-65535) -->
<!-- Number: 90 to 64800 -->
<!-- Mandatory -->
<P260>180</P260>

<!-- Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260) -->
<!-- Number: 90 to 64800 -->
<!-- Mandatory -->
<P261>90</P261>

<!-- Caller Request Timer (Request for timer when calling) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P262>0</P262>

<!-- Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P263>0</P263>

<!-- Force Timer (Still use timer when remote party does not support timer) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P264>0</P264>

<!-- UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P266>0</P266>

<!-- UAS Specify Refresher. 1 - UAC, 2 - UAS -->
<!-- Number: 1, 2 -->
<!-- Mandatory -->
<P267>1</P267>

<!-- Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P265>0</P265>

<!-- Send Re-INVITE After Fax. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4367>0</P4367>

<!-- Enable 100rel. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P272>0</P272>

<!-- Add Auth Header On Initial REGISTER. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P2359>0</P2359>


<!-- Codec/Voice Quality settings   -->

<!-- Use First Matching Vocoder in 200OK SDP. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4363>0</P4363>

<!-- Preferred Vocoder -->
<!-- 0 - PCMU, 8 - PCMA, 4 - G.723, 18 - G.729, 2 - G.726-32, 98 - iLBC -->
<!-- Choice 1. -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P57>0</P57>

<!-- Choice  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P58>8</P58>

<!-- Choice 3.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P59>4</P59>

<!-- Choice  -->
<!-- Number: 0, 2, 4, 8, 18,  -->
<!-- Mandatory -->
<P60>18</P60>

<!-- Choice 5.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P61>2</P61>

<!-- Choice 6.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P62>98</P62>

<!-- Voice Frames per TX -->
<!-- Number: 1-9 -->
<!-- Mandatory -->
<P37>2</P37>

<!-- G723 rate. 0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P49>0</P49>

<!-- iLBC Frame Size. 0 - 20ms(default), 1 - 30ms. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P97>0</P97>

<!-- iLBC payload type. (between 96 and 127, default is 97). -->
<!-- Number: 96 to 127 -->
<!-- Mandatory -->
<P96>97</P96>

<!-- VAD. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P50>0</P50>

<!-- Symmetric RTP. 0 - No, 1 ?Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P291>0</P291>

<!-- FAX Mode. 0 - T.38 (Auto Detect), 1 - Pass Through -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P228>0</P228>

<!-- Re-INVITE After Fax Tone Detected. 0 - Disabled, 1 - Enabled. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4416>1</P4416>

<!-- Jitter buffer type.  0 - Fixed, 1 - Adaptive -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P133>1</P133>

<!-- Jitter buffer length. 0 - Low, 1 - Medium, 2 - high -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P132>1</P132>

<!-- SRTP Mode -->
<!-- 0 = Disabled -->
<!-- 1 = Enabled but not forced -->
<!-- 2 = Enabled and forced -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P183>0</P183>


<!-- SLIC Setting.    -->
<!-- 0 - USA (BELLCORE 600 ohms), 3 - USA 2(BELCORE 600 ohms + 2.16uF), 11 - AUSTRAILA, 5 - CHINA CO, 6 - CHINA PBX, 4 - EUROPEAN CTR21 -->
<!-- 9 - GERMANY, 8 -INDIA/NEW ZEALAND, 2 - JAPAN CO, 7 - JAPAN PBX, 1 - STANDARD 900 omhs, 10 - UK -->
<!-- Number: 0 to 11 -->
<!-- Mandatory -->
<P854>0</P854>

<!-- Caller ID Scheme.-->
<!-- <value=0>  Bellcore/Telcordia (default) -->
<!-- <value=1>  ETSI-FSK during ringing	 -->
<!-- <value=2>  ETSI-FSK prior to ringing with DTAS -->
<!-- <value=3>  ETSI-FSK prior to ringing with LR+DTAS -->
<!-- <value=4>  ETSI-FSK prior to ringing with RP -->
<!-- <value=5>  ETSI-DTMF during ringing -->
<!-- <value=6>  ETSI-DTMF prior to ringing with DTAS -->
<!-- <value=7>  ETSI-DTMF prior to ringing with LR+DTAS -->
<!-- <value=8>  ETSI-DTMF prior to ringing with RP -->
<!-- <value=9>  SIN 227 - BT -->
<!-- <value=10> NTT Japan -->
<!-- <value=11> DTMF Denmark prior to ringing no DTAS no LR -->
<!-- <value=12> DTMF Denmark prior to ringing with LR -->
<!-- <value=13> DTMF Sweden/Finalnd prior to ringing with LR -->
<!-- <value=14> DTMF Brazil -->
<!-- Number: 0 to 14 -->
<!-- Mandatory -->
<P853>0</P853>

<!-- DTMF Caller ID Start Tone -->
<!-- <value=0>  Default -->
<!-- <value=1>  A -->
<!-- <value=2>  B -->
<!-- <value=3>  C -->
<!-- <value=4>  D -->
<!-- <value=5>  # -->
<!-- Number: 0-5 -->
<!-- Mandatory -->
<P4661>0</P4661>

<!-- DTMF Caller ID Stop Tone -->
<!-- <value=0>  Default -->
<!-- <value=1>  A -->
<!-- <value=2>  B -->
<!-- <value=3>  C -->
<!-- <value=4>  D -->
<!-- <value=5>  # -->
<!-- Number: 0 -5 -->
<!-- Mandatory -->
<P4662>0</P4662>

<!-- Polarity Reversal.  0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P205>0</P205>

<!-- Loop Current Disconnect. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P892>0</P892>

<!-- Loop Current Disconnect Duration. In 100 - 10000 milliseconds range, default is 200. -->
<!-- Number: 100 to 10000 -->
<!-- Mandatory -->
<P856>200</P856>

<!-- Enable Hook Flash -->
<!-- Number: 0, 1 -->
<!-- 0 - No, 1 - Yes, default is Yes -->
<!-- Mandatory -->
<P4424>1</P4424>

<!-- Hook Flash Timing. In 40-2000 milliseconds range -->
<!-- minimum -->
<!-- Number: 40 to 2000 -->
<!-- Mandatory -->
<P251>300</P251>

<!-- maximum -->
<!-- Number: 40 to 2000 -->
<!-- Mandatory -->
<P252>1100</P252>

<!-- On Hook Timing. (In 40-2000 milliseconds range, default is 400) -->
<!-- Number: 40 to 2000 -->
<!-- Mandatory -->
<P833>400</P833>

<!-- Gain: -->
<!-- TX  -->
<!-- <value=1> +6dB -->
<!-- <value=2> +4dB -->
<!-- <value=3> +2dB -->
<!-- <value=0> 0dB -->
<!-- <value=4> -2dB -->
<!-- <value=5> -4dB -->
<!-- <value=6> -6dB -->
<!-- Number: 0 to 6 -->
<!-- Mandatory -->
<P247>0</P247>

<!-- RX  -->
<!-- <value=1> +6dB -->
<!-- <value=2> +4dB -->
<!-- <value=3> +2dB -->
<!-- <value=0> 0dB -->
<!-- <value=4> -2dB -->
<!-- <value=5> -4dB -->
<!-- <value=6> -6dB -->
<!-- Number: 0 to 6 -->
<!-- Mandatory -->
<P249>0</P249>

<!-- Disable Line Echo Canceller (LEC).  0 - No, 1 - Yes -->
<!-- Number: 0,  -->
<!-- Mandatory -->
<P824>0</P824>

<!-- Ring Tone 1 -->
<!-- String -->
<P4010>c=2000/4000;</P4010>

<!-- Ring Tone 2 -->
<!-- String -->
<P4011>c=2000/4000;</P4011>

<!-- Ring Tone 3 -->
<!-- String -->
<P4012>c=2000/4000;</P4012>

<!-- Ring Tone 4 -->
<!-- String -->
<P4013>c=2000/4000;</P4013>

<!-- Ring Tone 5 -->
<!-- String -->
<P4014>c=2000/4000;</P4014>

<!-- Ring Tone 6 -->
<!-- String -->
<P4015>c=2000/4000;</P4015>

<!-- Ring Tone 7 -->
<!-- String -->
<P4016>c=2000/4000;</P4016>

<!-- Ring Tone 8 -->
<!-- String -->
<P4017>c=2000/4000;</P4017>

<!-- Ring Tone 9 -->
<!-- String -->
<P4018>c=2000/4000;</P4018>

<!-- Ring Tone 10 -->
<!-- String -->
<P4019>c=2000/4000;</P4019>


<!-- Profile 2 Settings. -->

<!-- Account Active. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P401>1</P401>

<!-- Primary SIP Server -->
<!-- Server address -->
<P747>{$server_address_2}</P747>

<!-- Failover SIP Server -->
<!-- Server address -->
<P987></P987>

<!-- Prefer Primary SIP Server. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4568>0</P4568>

<!-- Outbound Proxy -->
<!-- Server address -->
<P748></P748>

<!-- SIP Transport 0 - UDP, 1 - TCP, 2 - TLS -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P830>0</P830>

<!-- NAT Traversal (STUN). 0 - No, 2 - No but send keep-alive, 1 - Yes, 3 - UPnP -->
<!-- Number: 0, 1, 2, 3 -->
<!-- Mandatory -->
<P730>0</P730>

<!-- DNS Mode. 0 - A Record, 1 - SRV, 2 - NAPTR/SRV. -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P702>0</P702>

<!-- Tel URI. 0 - Disabled, 1 - User=Phone, 2 - Enabled -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P763>0</P763>

<!-- SIP Registration. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P731>1</P731>

<!-- Unregister On Reboot. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P752>0</P752>

<!-- Outgoing call without Registration. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P813>1</P813>

<!-- Register Expiration (in minutes. default 1 hour, max 45 days) -->
<!-- Number: 1 to 64800 -->
<!-- Mandatory -->
<P732>3</P732>

<!-- Reregister before Expiration (in seconds. Default 0 second) -->
<!-- Number: 1 to 64800 -->
<!-- Mandatory -->
<P2430>0</P2430>

<!-- Registration Retry Wait Time, in seconds. Between 1-3600, default is 20 -->
<!-- Number: 1 to 3600 -->
<!-- Mandatory -->
<P471>20</P471>

<!-- Local SIP port (default 5062) -->
<!-- Number: 1 to 65535 -->
<!-- Mandatory -->
<P740>5062</P740>

<!-- Local RTP port (1024-65535, default 5012) -->
<!-- Number: 1024 to 65535 -->
<!-- Mandatory -->
<P739>5012</P739>

<!-- Use Random SIP Port. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P20502>0</P20502>

<!-- Use Random RTP Port. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P20506>0</P20506>

<!-- Refer-To Use Target Contact. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P469>0</P469>

<!-- Transfer on Conference Hangup. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4561>0</P4561>

<!-- Enable Ring-Transfer. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4821>0</P4821>

<!-- Disable Bellcore Style 3-Way Conference. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4831>0</P4831>

<!-- Remove OBP from Route Header. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4563>0</P4563>

<!-- Support SIP Instance ID. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P489>1</P489>

<!-- Validate Incoming SIP Message. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4341>0</P4341>

<!-- Check SIP User ID for incoming INVITE. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P449>0</P449>

<!-- Authenticate incoming INVITE -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P2446>0</P2446>

<!-- Allow Incoming SIP Messages from SIP Proxy Only. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P743>0</P743>

<!-- Use Privacy Header. 0 - Default, 1 - No, 2 - Yes -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P2438>0</P2438>

<!-- Use P-Preferred-Identity Header. 0 - Default, 1 - No, 2 - Yes -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P2439>0</P2439>

<!-- SIP T1 Timeout. RFC 3261 T1 value (RTT estimate) -->
<!-- 50 - 0.5 sec, 100 - 1 sec, 200 - 2 sec, 400 - 4 sec, 800 - 8 sec. Default 50. -->
<!-- Number: 50, 100, 200, 400, 800 -->
<!-- Mandatory -->
<P440>50</P440>

<!-- SIP T2 Interval. RFC 3261 T2 value. The maximum retransmit interval for non-INVITE requests and INVITE responses. -->
<!-- 200 - 2 sec, 400 - 4 sec, 800 - 8 sec, 1600 - 16 sec, 3200 - 32 sec. Default 400. -->
<!-- Number: 200, 400, 800, 1600, 3200 -->
<!-- Mandatory -->
<P441>400</P441>

<!-- DTMF Payload Type -->
<!-- Number: 96 to 127 -->
<P779>101</P779>

<!-- Preferred DTMF method. -->
<!-- 100 - In-audio, 101 - RFC2833, 102 - SIP INFO -->
<!-- Priority 1 -->
<!-- Number: 100, 101, 102 -->
<!-- Mandatory -->
<P860>101</P860>

<!-- Priority 2 -->
<!-- Number: 100, 101, 102 -->
<!-- Mandatory -->
<P861>102</P861>

<!-- Priority 3 -->
<!-- Number: 100, 101, 102 -->
<!-- Mandatory -->
<P862>100</P862>

<!-- Disable DTMF Negotiation. 0 - No, 1 - Yes  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4826>0</P4826>

<!-- Send Flash Event. 0 - No, 1 - Yes  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P774>0</P774>

<!-- Enable Call Features. 0 - No, 1 - Yes  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P751>1</P751>

<!-- Offhook Auto-Dial Delay. (0-60 seconds, default is 0)   -->
<!-- Number: 0 to 60 -->
<P4046></P4046>

<!-- Proxy-Require -->
<!-- IP Address -->
<P792></P792>

<!-- Use NAT IP (used in SIP/SDP message if specified)  -->
<!-- IP Address -->
<P866></P866>

<!-- Use SIP User-Agent Header -->
<P4835></P4835>

<!-- Distinctive Ring Tone -->
<!-- 0 - Ring Tone 1, 1 - Ring Tone 2, 2 - Ring Tone 3, 3 - Ring Tone 4, 4 - Ring Tone 5,  -->
<!-- 5 - Ring Tone 6, 6 - Ring Tone 7, 7 - Ring Tone 8, 8 - Ring Tone 9, 9 - Ring Tone 10 -->
<!-- Distinctive Ring Tone Choice 1 -->
<!-- Number: 0 to 9 -->
<!-- Mandatory -->
<P880>0</P880>

<!-- Choice 1 incoming caller ID -->
<!-- String -->
<P881></P881>

<!-- Distinctive Ring Tone Choice 2 -->
<!-- Number: 0 to 9 -->
<!-- Mandatory -->
<P882>0</P882>

<!-- Choice 2 incoming caller ID -->
<!-- String -->
<P883></P883>

<!-- Distinctive Ring Tone Choice 3 -->
<!-- Number: 0 to 9 -->
<!-- Mandatory -->
<P884>0</P884>

<!-- Choice 3 incoming caller ID -->
<!-- String -->
<P885></P885>

<!-- Disable Call-Waiting. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P791>0</P791>

<!-- Disable Call-Waiting Caller ID. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P823>0</P823>

<!-- Disable Call-Waiting Tone. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P817>0</P817>

<!-- Disable Receiver Offhook Tone. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4794>0</P4794>

<!-- Disable Reminder Ring for On-Hold Call: -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4361>0</P4361>

<!-- Disable Visual MWI. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P869>0</P869>

<!-- Ring Timeout. (10-300, default is 60 seconds) -->
<!-- Number: 10 to 300 -->
<!-- Mandatory -->
<P816>60</P816>

<!-- Hunting Group Ring Timeout. (5-300, default is 20 seconds) -->
<!-- Number: 5 to 300 -->
<!-- Mandatory -->
<P4331>20</P4331>

<!-- Hunting Group Type. 0 - Circular, 1 - Linear -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4396>0</P4396>

<!-- Delayed Call Forward Wait Time. Allowed range 1-120, in seconds. Default 20 seconds. -->
<!-- Number: 1 to 120 -->
<!-- Mandatory -->
<P470>20</P470>

<!-- No Key Entry Timeout. Default - 4 seconds. -->
<!-- Number: 1 to 15 -->
<!-- Mandatory -->
<P292>4</P292>

<!-- Early Dial. 0 - No, 1 - Yes (use "Yes" only if proxy supports 484 response) -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P729>0</P729>

<!-- Dial Plan Prefix.(this prefix string is added to each dialed number) -->
<!-- String -->
<P766></P766>

<!-- Use # as Dial Key. 0 - No, 1 - Yes (if set to Yes, "#" will function as the "(Re-)Dial" key) -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P772>1</P772>

<!-- Dial Plan  -->
<!-- String -->
<P4201>{ x+ | *x+ }</P4201>

<!-- SUBSCRIBE for MWI. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P709>0</P709>

<!-- Send Anonymous. 0 - No, 1 - Yes  (caller ID will be blocked if set to Yes) -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P765>0</P765>

<!-- Anonymous Call Rejection. 0 - No, 1 - Yes. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P446>0</P446>

<!-- Special Feature -->
<!-- STANDARD = 100, BROADSOFT = 102, LUCENT = 105, CBCOM =108, RNK = 109, HUAWEI = 111, ZTE_IMS = 114, PHONEPOWER = 119, TELKOM_SA = 120, VONAGE = 121 -->
<!-- Number: 100, 102, 105, 108, 109, 111, 114, 119, 120, 121 -->
<P767>100</P767>

<!-- Session Expiration (in seconds. default 180 seconds. Allowed value: 90-64800) -->
<!-- Number: 90 to 64800 -->
<!-- Mandatory -->
<P434>180</P434>

<!-- Minimum SE (in seconds. default 90 seconds, must be lower than or equal to P260) -->
<!-- Number: 90 to 64800 -->
<!-- Mandatory -->
<P427>90</P427>

<!-- Caller Request Timer (Request for timer when calling) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P428>0</P428>

<!-- Callee Request Timer (Request for timer when called. i.e. if remote party supports timer but did not request for one) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P429>0</P429>

<!-- Force Timer (Still use timer when remote party does not support timer) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P430>0</P430>

<!-- UAC Specify Refresher. 0 - omit, 1 - UAC, 2 - UAS -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P432>0</P432>

<!-- UAS Specify Refresher. 1 - UAC, 2 - UAS -->
<!-- Number: 1, 2 -->
<!-- Mandatory -->
<P433>1</P433>

<!-- Force INVITE (Always refresh with INVITE instead of UPDATE even when remote party supports UPDATE) 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P431>0</P431>

<!-- Send Re-INVITE After Fax. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4368>0</P4368>

<!-- Enable 100rel. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P435>0</P435>

<!-- Add Auth Header On Initial REGISTER. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P2459>0</P2459>


<!-- Codec/Voice Quality settings  -->

<!-- Use First Matching Vocoder in 200OK SDP. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4364>0</P4364>

<!-- Preferred Vocoder -->
<!-- 0 - PCMU, 8 - PCMA, 4 - G.723, 18 - G.729, 2 - G.726-32, 98 - iLBC -->
<!-- Choice 1. -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory  -->
<P757>0</P757>

<!-- Choice 2.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory  -->
<P758>8</P758>

<!-- Choice 3.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory  -->
<P759>4</P759>

<!-- Choice 4.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory  -->
<P760>18</P760>

<!-- Choice 5.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P761>2</P761>

<!-- Choice 6.  -->
<!-- Number: 0, 2, 4, 8, 18, 98 -->
<!-- Mandatory -->
<P762>98</P762>

<!-- Voice Frames per TX -->
<!-- Number: 1-9 -->
<!-- Mandatory -->
<P737>2</P737>

<!-- G723 rate. 0 - 6.3kbps encoding rate, 1 - 5.3kbps encoding rate -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P749>0</P749>

<!-- iLBC Frame Size. 0 - 20ms(default), 1 - 30ms. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P705>0</P705>

<!-- iLBC payload type. (between 96 and 127, default is 97). -->
<!-- Number: 96 to 127 -->
<!-- Mandatory -->
<P704>97</P704>

<!-- VAD. 0 - No, 1 - Yes  -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P750>0</P750>

<!-- Symmetric RTP. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P460>0</P460>

<!-- FAX Mode. 0 - T.38 (Auto Detect), 1 - Pass Through -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P710>0</P710>

<!-- Re-INVITE After Fax Tone Detected. 0 - Disabled, 1 - Enabled. -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P4417>1</P4417>

<!-- Jitter buffer type.  0 - Fixed, 1 - Adaptive -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P831>1</P831>

<!-- Jitter buffer length. 0 - Low, 1 - Medium, 2 - High -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P832>1</P832>

<!-- SRTP Mode -->
<!-- 0 = Disabled -->
<!-- 1 = Enabled but not forced -->
<!-- 2 = Enabled and forced -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P443>0</P443>


<!-- SLIC Setting.  -->
<!-- 0 - USA (BELLCORE 600 ohms), 3 - USA 2(BELCORE 600 ohms + 2.16uF), 11 - AUSTRAILA, 5 - CHINA CO, 6 - CHINA PBX, 4 - EUROPEAN CTR21 -->
<!-- 9 - GERMANY, 8 -INDIA/NEW ZEALAND, 2 - JAPAN CO, 7 - JAPAN PBX, 1 - STANDARD 900 omhs, 10 - UK -->
<!-- Number: 0 to 11 -->
<!-- Mandatory -->
<P864>0</P864>

<!-- Caller ID Scheme.   -->
<!-- <value=0>  Bellcore/Telcordia (default) -->
<!-- <value=1>  ETSI-FSK during ringing	 -->
<!-- <value=2>  ETSI-FSK prior to ringing with DTAS -->
<!-- <value=3>  ETSI-FSK prior to ringing with LR+DTAS -->
<!-- <value=4>  ETSI-FSK prior to ringing with RP -->
<!-- <value=5>  ETSI-DTMF during ringing -->
<!-- <value=6>  ETSI-DTMF prior to ringing with DTAS -->
<!-- <value=7>  ETSI-DTMF prior to ringing with LR+DTAS -->
<!-- <value=8>  ETSI-DTMF prior to ringing with RP -->
<!-- <value=9>  SIN 227 - BT -->
<!-- <value=10> NTT Japan -->
<!-- <value=11> DTMF Denmark prior to ringing no DTAS no LR -->
<!-- <value=12> DTMF Denmark prior to ringing with LR -->
<!-- <value=13> DTMF Sweden/Finalnd prior to ringing with LR -->
<!-- <value=14> DTMF Brazil -->
<!-- Number: 0 to 14 -->
<!-- Mandatory -->
<P863>0</P863>

<!-- DTMF Caller ID Start Tone -->
<!-- <value=0>  Default -->
<!-- <value=1>  A -->
<!-- <value=2>  B -->
<!-- <value=3>  C -->
<!-- <value=4>  D -->
<!-- <value=5>  #  -->
<!-- Number: 0-5 -->
<!-- Mandatory -->
<P4663>0</P4663>

<!-- DTMF Caller ID Stop Tone -->
<!-- <value=0>  Default -->
<!-- <value=1>  A -->
<!-- <value=2>  B -->
<!-- <value=3>  C -->
<!-- <value=4>  D -->
<!-- <value=5>  # -->
<!-- Number: 0-5v -->
<!-- Mandatory -->
<P4664>0</P4664>

<!-- Polarity Reversal.  0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P865>0</P865>

<!-- Loop Current Disconnect. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P893>0</P893>

<!-- Loop Current Disconnect Duration. In 100 - 10000 milliseconds range, default is 200. -->
<!-- Number: 100 to 10000 -->
<!-- Mandatory -->
<P857>200</P857>

<!-- Enable Hook Flash -->
<!-- Number: 0, 1 -->
<!-- 0 - No, 1 - Yes, default is Yes -->
<!-- Mandatory -->
<P4425>1</P4425>

<!-- Hook Flash Timing. In 40-2000 milliseconds range. -->
<!-- minimum -->
<!-- Number: 40 to 2000 -->
<!-- Mandatory -->
<P811>300</P811>

<!-- maximum -->
<!-- Number: 40 to 2000 -->
<!-- Mandatory -->
<P812>1100</P812>

<!-- On Hook Timing. (In 40-2000 milliseconds range, default is 400) -->
<!-- Number: 40 to 2000 -->
<!-- Mandatory -->
<P834>400</P834>

<!-- Gain: -->
<!-- TX  -->
<!-- <value=1> +6dB -->
<!-- <value=2> +4dB -->
<!-- <value=3> +2dB -->
<!-- <value=0> 0dB -->
<!-- <value=4> -2dB -->
<!-- <value=5> -4dB -->
<!-- <value=6> -6dB -->
<!-- Number: 0, 1, 2, 3, 4, 5, 6 -->
<!-- Mandatory -->
<P248>0</P248>

<!-- RX  -->
<!-- <value=1> +6dB -->
<!-- <value=2> +4dB -->
<!-- <value=3> +2dB -->
<!-- <value=0> 0dB -->
<!-- <value=4> -2dB -->
<!-- <value=5> -4dB -->
<!-- <value=6> -6dB -->
<!-- Number: 0, 1, 2, 3, 4, 5, 6 -->
<!-- Mandatory -->
<P283>0</P283>

<!-- Disable Line Echo Canceller (LEC).  0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P825>0</P825>

<!-- Ring Tone 1 -->
<!-- String -->
<P4030>c=2000/4000;</P4030>

<!-- Ring Tone 2 -->
<!-- String -->
<P4031>c=2000/4000;</P4031>

<!-- Ring Tone 3 -->
<!-- String -->
<P4032>c=2000/4000;</P4032>

<!-- Ring Tone 4 -->
<!-- String -->
<P4033>c=2000/4000;</P4033>

<!-- Ring Tone 5 -->
<!-- String -->
<P4034>c=2000/4000;</P4034>

<!-- Ring Tone 6 -->
<!-- String -->
<P4035>c=2000/4000;</P4035>

<!-- Ring Tone 7 -->
<!-- String -->
<P4036>c=2000/4000;</P4036>

<!-- Ring Tone 8 -->
<!-- String -->
<P4037>c=2000/4000;</P4037>

<!-- Ring Tone 9 -->
<!-- String -->
<P4038>c=2000/4000;</P4038>

<!-- Ring Tone 10 -->
<!-- String -->
<P4039>c=2000/4000;</P4039>


<!--FXS Ports -->

<!-- FXS Port 1 -->
<!-- SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2) -->
<!-- Hunting Group (0 - None, 1 - Active, 2 - 2, 3 - 3, 4 -4) -->
<!-- Enable Port (0 - No, 1 - Yes) -->

<!-- String -->
<P4060>{$user_id_1}</P4060>

<!-- String -->
<P4090>{$user_id_1}</P4090>

<!-- String -->
<P4120>{$user_password_1}</P4120>

<!-- String -->
<P4180>{$display_name_1}</P4180>

<!-- Number: 0, 1, 2, 3 -->
<P4150>0</P4150>

<P4300>0</P4300>

<!-- Number: 0, 1 -->
<P4595>1</P4595>

<!-- FXS Port 2 -->
<!-- SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2) -->
<!-- Hunting Group (0 - None, 2 - Active, 1 - 1, 3 - 3, 4 -4) -->
<!-- Enable Port (0 - No, 1 - Yes) -->

<!-- String -->
<P4061>{$user_id_2}</P4061>

<!-- String -->
<P4091>{$user_id_2}</P4091>

<!-- String -->
<P4121>{$user_password_2}</P4121>

<!-- String -->
<P4181>{$display_name_2}</P4181>

<!-- Number: 0, 1, 2, 3 -->
<P4151>0</P4151>

<P4301>0</P4301>

<!-- Number: 0, 1 -->
<P4596>1</P4596>

<!-- FXS Port 3 -->
<!-- SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2) -->
<!-- Hunting Group (0 - None, 3 - Active, 1 - 1, 2 - 2, 4 -4) -->
<!-- Enable Port (0 - No, 1 - Yes) -->

<!-- String -->
<P4062>{$user_id_3}</P4062>

<!-- String -->
<P4092>{$user_id_3}</P4092>

<!-- String -->
<P4122>{$user_password_3}</P4122>

<!-- String -->
<P4182>{$display_name_3}</P4182>

<!-- Number: 0, 1, 2, 3 -->
<P4152>0</P4152>

<P4302>0</P4302>

<!-- Number: 0, 1 -->
<P4597>1</P4597>

<!-- FXS Port 4 -->
<!-- SIP USER ID, Authenticate ID, Password, Name, Profile ID (0 - Profile 1, 1 - Profile 2 -->
<!-- Hunting Group (0 - None, 4 - Active, 1 - 1, 2 - 2, 3 - 3) -->
<!-- Enable Port (0 - No, 1 - Yes) -->

<!-- String -->
<P4063>{$user_id_4}</P4063>

<!-- String -->
<P4093>{$user_id_4}</P4093>

<!-- String -->
<P4123>{$user_password_3}</P4123>

<!-- String -->
<P4183>{$display_name_4}</P4183>

<!-- Number: 0, 1, 2, 3 -->
<P4153>1</P4153>

<P4303>0</P4303>

<!-- Number: 0, 1 -->
<P4598>1</P4598>

<!-- Offhook Auto-dial (FXS Port 1 to 4) -->
<!-- String: 0-9, *, # -->
<P4210></P4210>

<!-- String: 0-9, *, # -->
<P4211></P4211>

<!-- String: 0-9, *, # -->
<P4212></P4212>

<!-- String: 0-9, *, # -->
<P4213></P4213>

<!-- Map to FXO Port # (FXS Port 1 to 4) -->
<P4521>1</P4521>

<P4522>1</P4522>

<P4523>1</P4523>

<P4524>1</P4524>

<!-- Map to FXO Gateway IP (FXS Port 1 to 4) -->
<!-- IP Address -->
<P4264></P4264>

<!-- IP Address -->
<P4265></P4265>

<!-- IP Address -->
<P4266></P4266>

<!-- IP Address -->
<P4267></P4267>

<!-- and Port (Local sip port) (FXS Port 1 to 4) -->
<!-- Number: 1 to 65535 -->
<P4858></P4858>

<!-- Number: 1 to 65535 -->
<P4859></P4859>

<!-- Number: 1 to 65535 -->
<P4860></P4860>

<!-- Number: 1 to 65535 -->
<P4861></P4861>


<!--  Basic Settings.    -->

<!-- End User Password -->
<!-- String -->
<P196>123</P196>

<!-- Web Port. Default HTTP is 80.-->
<!-- Number: 1 to 65535 -->
<!-- Mandatory -->
<P901>80</P901>

<!-- Telnet Server. 1 - No, 0 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P276>0</P276>

<!-- HTTP Access. 1 - Yes, 0 - No -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P190>1</P190>

<!-- IP Address. 0 - DHCP, 2 - PPPoE, 1 - Static IP -->
<!-- Number: 0, 1, 2 -->
<!-- Mandatory -->
<P8>0</P8>


<!-- DHCP -->
<!-- DHCP Hostname, DHCP option 12. Max length allowed is 32 bytes. -->
<P146></P146>

<!-- DHCP Domain Name, DHCP option 15. Max length allowed is 32 bytes. -->
<P147></P147>

<!-- DHCP Vendor Class ID, DHCP option 60. Max length allowed is 32 bytes. -->
<!-- String -->
<P148>HT701</P148>


<!-- PPPoE -->
<!-- PPPoE account ID -->
<!-- String -->
<!--P82=  -->

<!-- PPPoE password -->
<!-- String -->
<!--P83= -->

<!-- PPPoE Service Name -->
<!-- String -->
<!--P269=  -->

<!-- 1st Preferred DNS server -->
<!-- Number: 0 to 255 -->
<!--P92=0 -->
<!--P93=0 -->
<!--P94=0 -->
<!--P95=0 -->

<!-- 2nd Preferred DNS server -->
<!-- Number: 0 to 255 -->
<!--P5026=0 -->
<!--P5027=0 -->
<!--P5028=0 -->
<!--P5029=0 -->

<!-- 3rd Preferred DNS server -->
<!-- Number: 0 to 255 -->
<!--P5030=0 -->
<!--P5031=0 -->
<!--P5032=0 -->
<!--P5033=0 -->

<!-- 4th Preferred DNS server -->
<!-- Number: 0 to 255 -->
<!--P5034=0 -->
<!--P5035=0 -->
<!--P5036=0 -->
<!--P5037=0 -->


<!-- Static IP -->
<!-- IP Address. Ignore if DHCP or PPPoE is used -->
<!-- Number: 0 to 255 -->
<!--P9=192 -->
<!--P10=168 -->
<!--P11=0 -->
<!--P12=160 -->

<!-- Subnet mask. Ignore if DHCP or PPPoE is used -->
<!-- Number: 0 to 255 -->
<!--P13=255 -->
<!--P14=255 -->
<!--P15=255 -->
<!--P16=0 -->

<!-- Router. Ignore if DHCP or PPPoE is used -->
<!-- Number: 0 to 255 -->
<!--P17=0 -->
<!--P18=0 -->
<!--P19=0 -->
<!--P20=0 -->

<!-- DNS 1. Ignore if DHCP or PPPoE is used -->
<!-- Number: 0 to 255 -->
<!--P21=0 -->
<!--P22=0 -->
<!--P23=0 -->
<!--P24=0 -->

<!-- DNS 2. Ignore if DHCP or PPPoE is used -->
<!-- Number: 0 to 255 -->
<!--P25=0 -->
<!--P26=0 -->
<!--P27=0 -->
<!--P28=0 -->


<!--Time Zone. Offset in minutes to GMT -->
<!-- <value=TZA+12> GMT-12:00 (International Date Line West) -->
<!-- <value=TZB+11> GMT-11:00 (Midway Island, Samoa) -->
<!-- <value=HAW10> GMT-10:00 (US Hawaiian Time) -->
<!-- <value=AKST9AKDT> GMT-09:00 (US Alaska Time) -->
<!-- <value=PST8PDT> GMT-08:00 (US Pacific Time, Los Angeles) -->
<!-- <value=PST8PDT,M4.1.0,M10.5.0> GMT-08:00 (Baja California) -->
<!-- <value=MST7MDT> GMT-07:00 (US Mountain Time, Denver) -->
<!-- <value=MST7> GMT-07:00 (Mountain Time (Arizona, no DST)) -->
<!-- <value=MST7MDT,M4.1.0,M10.5.0> GMT-07:00 (Chihuahua, La Paz, Mazatlan) -->
<!-- <value=CST6CDT> GMT-06:00 (Central Time) -->
<!-- <value=CST+6> GMT-06:00 (Central America) -->
<!-- <value=CST6CDT,M4.1.0,M10.5.0> GMT-06:00 (Guadalajara, Mexico City, Monterrey) -->
<!-- <value=EST5EDT> GMT-05:00 (Eastern Time) -->
<!-- <value=EST5> GMT-05:00 (Eastern Time without daylight saving) -->
<!-- <value=TZf+4:30> GMT-04:30 (Caracas) -->
<!-- <value=AST4ADT> GMT-04:00 (Atlantic Time) -->
<!-- <value=AST4ADT,M4.1.0/00:01:00,M10.5.0/00:01:00> GMT-04:00 (Atlantic Time (New Brunswick)) -->
<!-- <value=NST+3:30NDT+2:30,M4.1.0/00:01:00,M10.5.0/00:01:00> GMT-03:30 (Newfoundland Time) -->
<!-- <value=TZK+3> GMT-03:00 (Greenland) -->
<!-- <value=BRST+3BRDT+2,M10.3.0,M2.3.0> GMT-03:00 (Brazil, Sao Paulo) -->
<!-- <value=UTC+3> GMT-02:00 (Argentina) -->
<!-- <value=TZL+2> GMT-02:00 (Mid-Atlantic) -->
<!-- <value=TZM+1> GMT-01:00 (Azores, Cape Verde Is.) -->
<!-- <value=TZN+0> GMT (Edinburgh, Casablanca, Monrovia) -->
<!-- <value=GMT+0BST-1,M3.5.0/01:00:00,M10.5.0/02:00:00> GMT (London, Great Britain) -->
<!-- <value=WET-0WEST-1,M3.5.0/01:00:00,M10.5.0/02:00:00> GMT (Lisbon, Portugal) -->
<!-- <value=GMT+0IST-1,M3.5.0/01:00:00,M10.5.0/02:00:00> GMT (Dublin, Ireland) -->
<!-- <value=TZO-1> GMT+01:00 (Paris, Vienna, Warsaw) -->
<!-- <value=CET-1CEST-2,M3.5.0/02:00:00,M10.5.0/03:00:00> GMT+01:00 (Roma, Paris, Madrid, Prague, Berlin, Budapest, Amsterdam, Barcelona) -->
<!-- <value=TZO-1> GMT+01:00 (Brussels, Belgium) -->
<!-- <value=TZP-2> GMT+02:00 (Israel, Cairo, Athens, Istanbul, Bucharest) -->
<!-- <value=EET-2EEST-3,M3.5.0/03:00:00,M10.5.0/04:00:00> GMT+02:00 (Helsinki, Athens, Tallinn) -->
<!-- <value=EET-2EEST,M3.5.0/3,M10.5.0/4> GMT+02:00 (Kyiv, Ukraine) -->
<!-- <value=TZQ-3> GMT+03:00 (Kuwait, Baghdad, Tehran, Nairobi) -->
<!-- <value=MSK-3MSD,M3.5.0/2,M10.5.0/3> GMT+03:00 (Moscow, Russia) -->
<!-- <value=MST-3MDT,M3.5.0/2,M10.5.0/3> GMT+03:00 (St.Petersburg, Russia) -->
<!-- <value=TZR-4> GMT+04:00 (Abu Dhabi, Baku) -->
<!-- <value=TZS-5> GMT+05:00 (Islamabad, Ekaterinburg, Karachi, Tashkent) -->
<!-- <value=TZT-5:30> GMT+05:30 (Chennai, New Delhi, Mumbai) -->
<!-- <value=TZU-5:45> GMT+05:45 (Kathmandu) -->
<!-- <value=TZV-6> GMT+06:00 (Almaty, Astana, Dhaka, Novosibirsk) -->
<!-- <value=TZW-6:30> GMT+06:30 (Rangoon) -->
<!-- <value=TZX-7> GMT+07:00 (Bankok, Hanoi, Krasnoyarsk) -->
<!-- <value=WIB-7> GMT+07:00 (Jakarta) -->
<!-- <value=TZY-8> GMT+08:00 (Beijing, Taipei, Kuala Lumpur, Irkutsk) -->
<!-- <value=SGT-8> GMT+08:00 (Singapore) -->
<!-- <value=ULAT-8> GMT+08:00 (Ulaanbaatar, Mongoli) -->
<!-- <value=WST-8> GMT+08:00 (Perth) -->
<!-- <value=TZZ-9> GMT+09:00 (Japan, Korea, Yakutsk) -->
<!-- <value=CST-9:30CDT-10:30,M10.5.0/02:00:00,M3.5.0/03:00:00> GMT+09:30 (Adelaide) -->
<!-- <value=CST-9:30> GMT+09:30 (Darwin) -->
<!-- <value=TZb-10> GMT+10:00 (Guam) -->
<!-- <value=EST-10EDT-11,M10.1.0/02:00:00,M3.5.0/03:00:00> GMT+10:00 (Hobart) -->
<!-- <value=EST-10EDT-11,M10.5.0/02:00:00,M3.5.0/03:00:00> GMT+10:00 (Sydney, Melbourne, Canberra) -->
<!-- <value=EST-10> GMT+10:00 (Brisbane) -->
<!-- <value=TZc-11> GMT+11:00 (Magadan, Solomon Is., New Caledonia) -->
<!-- <value=NZST-12NZDT-13,M10.1.0/02:00:00,M3.3.0/03:00:00> GMT+12:00 (Auckland, Wellington) -->
<!-- <value=TZd-12> GMT+12:00 (Fiji) -->
<!-- <value=TZe-13> GMT+13:00 (Nuku'alofa) -->
<!-- <value=customize> Using self-defined Time Zone -->
<!-- String -->
<!-- Mandatory  -->
<P64>customize</P64>

<!-- Self-Defined Time Zone -->
<!-- String -->
<P246>MTZ+6MDT+5,M3.2.0,M11.1.0</P246>

<!-- Allow DHCP server to set Time Zone. 0 - No, 1 - Yes -->
<!-- Number: 0, 1 -->
<!-- Mandatory -->
<P143>0</P143>

<!-- Language. 0 - English, 4 - Chinese, 10 - Spanish IVR -->
<!-- Number: 0, 4, 10 -->
<!-- Mandatory -->
<P342>0</P342>

</config>
</gs_provision>
